Package com.microsoft.sqlserver.jdbc.dataclassification

## Class InformationType

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dataclassification.InformationType

    public class InformationType
    extends Object

Represents the Data Classification Information Types as received from SQL Server for the active resultSet

### Constructor Summary

Constructors
`InformationType​(String name, String id)` Constructs a InformationType

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()` Returns the ID for this `InformationType` object
`String` `getName()` Returns the name of this `InformationType` Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InformationType

    public InformationType​(String name,
                           String id)

Constructs a InformationType

Parameters:
  `name` - Name of Information Type
  `id` - ID of Information Type

### Method Detail

#### getName

    public String getName()

Returns the name of this `InformationType` Object

Returns:
  Name of Information Type

#### getId

    public String getId()

Returns the ID for this `InformationType` object

Returns:
  ID of Information Type